## GucharmapChartable GucharmapChartable |

## Functions

GtkWidget * | gucharmap_chartable_new ()
void | gucharmap_chartable_set_font_desc ()
void | gucharmap_chartable_set_font_fallback ()
gboolean | gucharmap_chartable_get_font_fallback ()
gunichar | gucharmap_chartable_get_active_character ()
void | gucharmap_chartable_set_active_character ()
void | gucharmap_chartable_set_zoom_enabled ()
gboolean | gucharmap_chartable_get_zoom_enabled ()
void | gucharmap_chartable_set_snap_pow2 ()
void | gucharmap_chartable_set_codepoint_list ()
GucharmapCodepointList * | gucharmap_chartable_get_codepoint_list ()

## Properties

guint | active-character | Read / Write
GucharmapCodepointList * | codepoint-list | Read / Write
PangoFontDescription * | font-desc | Read / Write
gboolean | font-fallback | Read / Write
gboolean | snap-power-2 | Read / Write
gboolean | zoom-enabled | Read / Write
gboolean | zoom-showing | Read

## Signals

void | activate | Action
void | copy-clipboard | Action
gboolean | move-cursor | Action
void | paste-clipboard | Action
void | status-message | Run First

## Types and Values

| GucharmapChartablePrivate
struct | GucharmapChartable

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkDrawingArea
                    ╰── GucharmapChartable

## Implemented Interfaces

GucharmapChartable implements AtkImplementorIface, GtkBuildable and GtkScrollable.

## Description

## Functions

### gucharmap_chartable_new ()

    GtkWidget *
    gucharmap_chartable_new (void);

#### Returns

a new GucharmapChartable

### gucharmap_chartable_set_font_desc ()

    void
    gucharmap_chartable_set_font_desc (GucharmapChartable *chartable,
                                       PangoFontDescription *font_desc);

Sets `font_desc` as the font to use to display the character table.

#### Parameters

chartable | a GucharmapChartable |
font_desc | a PangoFontDescription |

### gucharmap_chartable_set_font_fallback ()

    void
    gucharmap_chartable_set_font_fallback (GucharmapChartable *chartable,
                                           gboolean enable_font_fallback);

#### Parameters

chartable | a GucharmapChartable |
enable_font_fallback | whether to enable font fallback |

Since: 2.34

### gucharmap_chartable_get_font_fallback ()

    gboolean
    gucharmap_chartable_get_font_fallback (GucharmapChartable *chartable);

#### Parameters

chartable | a GucharmapChartable |

#### Returns

whether font fallback is enabled

Since: 2.34

### gucharmap_chartable_get_active_character ()

    gunichar
    gucharmap_chartable_get_active_character
                                   (GucharmapChartable *chartable);

#### Parameters

chartable | a GucharmapChartable |

#### Returns

the currently selected character

### gucharmap_chartable_set_active_character ()

    void
    gucharmap_chartable_set_active_character
                                   (GucharmapChartable *chartable,
                                    gunichar wc);

Sets `wc` as the selected character.

#### Parameters

chartable | a GucharmapChartable |
wc | a unicode character (UTF-32) |

### gucharmap_chartable_set_zoom_enabled ()

    void
    gucharmap_chartable_set_zoom_enabled (GucharmapChartable *chartable,
                                          gboolean enabled);

Enables or disables the zoom popup.

#### Parameters

chartable | a GucharmapChartable |
enabled | whether to enable zoom mode |

### gucharmap_chartable_get_zoom_enabled ()

    gboolean
    gucharmap_chartable_get_zoom_enabled (GucharmapChartable *chartable);

#### Parameters

chartable | a GucharmapChartable |

#### Returns

whether zooming is enabled

### gucharmap_chartable_set_snap_pow2 ()

    void
    gucharmap_chartable_set_snap_pow2 (GucharmapChartable *chartable,
                                       gboolean snap);

Sets whether the number columns the character table shows should always be a power of 2.

#### Parameters

chartable | a GucharmapChartable |
snap | whether to enable or disable snapping |

### gucharmap_chartable_set_codepoint_list ()

    void
    gucharmap_chartable_set_codepoint_list
                                   (GucharmapChartable *chartable,
                                    GucharmapCodepointList *codepoint_list);

Sets the codepoint list to show in the character table.

#### Parameters

chartable | a GucharmapChartable |
codepoint_list | a GucharmapCodepointList |

### gucharmap_chartable_get_codepoint_list ()

    GucharmapCodepointList *
    gucharmap_chartable_get_codepoint_list
                                   (GucharmapChartable *chartable);

#### Parameters

chartable | a GucharmapChartable |

#### Returns

the current codepoint list.

[transfer none]

## Types and Values

### GucharmapChartablePrivate

    typedef struct _GucharmapChartablePrivate GucharmapChartablePrivate;

### struct GucharmapChartable

    struct GucharmapChartable;

## Property Details

### The `“active-character”` property

      “active-character”         guint

Owner: GucharmapChartable

Flags: Read / Write

Allowed values: <= 1114111

Default value: 0

### The `“codepoint-list”` property

      “codepoint-list”           GucharmapCodepointList *

Owner: GucharmapChartable

Flags: Read / Write

### The `“font-desc”` property

      “font-desc”                PangoFontDescription *

Owner: GucharmapChartable

Flags: Read / Write

### The `“font-fallback”` property

      “font-fallback”            gboolean

Whether font fallback is enabled.

Owner: GucharmapChartable

Flags: Read / Write

Default value: TRUE

Since: 2.34

### The `“snap-power-2”` property

      “snap-power-2”             gboolean

Owner: GucharmapChartable

Flags: Read / Write

Default value: FALSE

### The `“zoom-enabled”` property

      “zoom-enabled”             gboolean

Owner: GucharmapChartable

Flags: Read / Write

Default value: FALSE

### The `“zoom-showing”` property

      “zoom-showing”             gboolean

Owner: GucharmapChartable

Flags: Read

Default value: FALSE

## Signal Details

### The `“activate”` signal

    void
    user_function (GucharmapChartable *gucharmapchartable,
                   gpointer            user_data)

Flags: Action

### The `“copy-clipboard”` signal

    void
    user_function (GucharmapChartable *gucharmapchartable,
                   gpointer            user_data)

Flags: Action

### The `“move-cursor”` signal

    gboolean
    user_function (GucharmapChartable *gucharmapchartable,
                   GtkMovementStep     arg1,
                   gint                arg2,
                   gpointer            user_data)

Flags: Action

### The `“paste-clipboard”` signal

    void
    user_function (GucharmapChartable *gucharmapchartable,
                   gpointer            user_data)

Flags: Action

### The `“status-message”` signal

    void
    user_function (GucharmapChartable *gucharmapchartable,
                   gchar              *arg1,
                   gpointer            user_data)

Flags: Run First